| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::RatingComboBoxDelegate Class Reference
Inheritance diagram for Digikam::RatingComboBoxDelegate:

## Public Member Functions
| RatingComboBoxDelegate (QObject *const parent=nullptr)
void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const override
QSize | sizeHint (const QStyleOptionViewItem &option, const QModelIndex &index) const override
Public Member Functions inherited from Digikam::RatingStarDrawer
QRect | drawStarPolygons (QPainter *p, int numberOfStars) const

## Protected Member Functions
void | drawRating (QPainter *painter, const QRect &rect, int rating, bool selectable) const

## Additional Inherited Members
Protected Attributes inherited from Digikam::RatingStarDrawer
QPolygon | m_starPolygon = RatingWidget::starPolygon()
QSize | m_starPolygonSize = QSize(15, 15)